Loading...
Searching...
No Matches
clpTempInfo Struct Reference

`#include <ClpSimplex.hpp>`

## Public Attributes

double | upperTheta
double | bestPossible
double | acceptablePivot
double | tolerance
double | dualTolerance
double | theta
double | primalRatio
double | changeObj
const double *COIN_RESTRICT | cost
double *COIN_RESTRICT | solution
double *COIN_RESTRICT | reducedCost
const double *COIN_RESTRICT | lower
const double *COIN_RESTRICT | upper
double *COIN_RESTRICT | work
int *COIN_RESTRICT | index
double *COIN_RESTRICT | spare
const unsigned char *COIN_RESTRICT | status
int *COIN_RESTRICT | which
double *COIN_RESTRICT | infeas
const int *COIN_RESTRICT | pivotVariable
const double *COIN_RESTRICT | element
const CoinBigIndex *COIN_RESTRICT | start
const int *COIN_RESTRICT | row
int | numberAdded
int | numberInfeasibilities
int | numberRemaining
int | startColumn
int | numberToDo
int | numberColumns

## Detailed Description

Definition at line 2063 of file ClpSimplex.hpp.

## Member Data Documentation

## upperTheta

double clpTempInfo::upperTheta

Definition at line 2064 of file ClpSimplex.hpp.

## bestPossible

double clpTempInfo::bestPossible

Definition at line 2065 of file ClpSimplex.hpp.

## acceptablePivot

double clpTempInfo::acceptablePivot

Definition at line 2066 of file ClpSimplex.hpp.

## tolerance

double clpTempInfo::tolerance

Definition at line 2067 of file ClpSimplex.hpp.

## dualTolerance

double clpTempInfo::dualTolerance

Definition at line 2068 of file ClpSimplex.hpp.

## theta

double clpTempInfo::theta

Definition at line 2069 of file ClpSimplex.hpp.

## primalRatio

double clpTempInfo::primalRatio

Definition at line 2070 of file ClpSimplex.hpp.

## changeObj

double clpTempInfo::changeObj

Definition at line 2071 of file ClpSimplex.hpp.

## cost

const double* COIN_RESTRICT clpTempInfo::cost

Definition at line 2072 of file ClpSimplex.hpp.

## solution

double* COIN_RESTRICT clpTempInfo::solution

Definition at line 2073 of file ClpSimplex.hpp.

## reducedCost

double* COIN_RESTRICT clpTempInfo::reducedCost

Definition at line 2074 of file ClpSimplex.hpp.

## lower

const double* COIN_RESTRICT clpTempInfo::lower

Definition at line 2075 of file ClpSimplex.hpp.

## upper

const double* COIN_RESTRICT clpTempInfo::upper

Definition at line 2076 of file ClpSimplex.hpp.

## work

double* COIN_RESTRICT clpTempInfo::work

Definition at line 2077 of file ClpSimplex.hpp.

## index

int* COIN_RESTRICT clpTempInfo::index

Definition at line 2078 of file ClpSimplex.hpp.

## spare

double* COIN_RESTRICT clpTempInfo::spare

Definition at line 2079 of file ClpSimplex.hpp.

## status

const unsigned char* COIN_RESTRICT clpTempInfo::status

Definition at line 2080 of file ClpSimplex.hpp.

## which

int* COIN_RESTRICT clpTempInfo::which

Definition at line 2081 of file ClpSimplex.hpp.

## infeas

double* COIN_RESTRICT clpTempInfo::infeas

Definition at line 2082 of file ClpSimplex.hpp.

## pivotVariable

const int* COIN_RESTRICT clpTempInfo::pivotVariable

Definition at line 2083 of file ClpSimplex.hpp.

## element

const double* COIN_RESTRICT clpTempInfo::element

Definition at line 2084 of file ClpSimplex.hpp.

## start

const CoinBigIndex* COIN_RESTRICT clpTempInfo::start

Definition at line 2085 of file ClpSimplex.hpp.

## row

const int* COIN_RESTRICT clpTempInfo::row

Definition at line 2086 of file ClpSimplex.hpp.

## numberAdded

int clpTempInfo::numberAdded

Definition at line 2087 of file ClpSimplex.hpp.

## numberInfeasibilities

int clpTempInfo::numberInfeasibilities

Definition at line 2088 of file ClpSimplex.hpp.

## numberRemaining

int clpTempInfo::numberRemaining

Definition at line 2089 of file ClpSimplex.hpp.

## startColumn

int clpTempInfo::startColumn

Definition at line 2090 of file ClpSimplex.hpp.

## numberToDo

int clpTempInfo::numberToDo

Definition at line 2091 of file ClpSimplex.hpp.

## numberColumns

int clpTempInfo::numberColumns

Definition at line 2092 of file ClpSimplex.hpp.

The documentation for this struct was generated from the following file:

- Clp/src/ClpSimplex.hpp